import {
  MAX_INSURANCE,
  MIN_INSURANCE,
} from 'core/constants/stores/Calculation/limits';
import { ICalculationStore } from 'core/types/Calculation/Store';

export default function (
  this: ICalculationStore,
  insType,
  selectedKey: string,
) {
  const selectedRow = this.stores.ELTStore[insType].getCompany(selectedKey);

  const { accountid, premiumSum } = selectedRow;

  if (premiumSum > MAX_INSURANCE) {
    return {
      message: `Выбранный расчет ЭЛТ превышает максимально допустимое значение по стоимости ОСАГО (${MAX_INSURANCE})`,
    };
  }

  if (premiumSum < MIN_INSURANCE) {
    return {
      message: `Сумма по страховке не должна быть меньше ${MIN_INSURANCE}`,
    };
  }

  this.setTableRow(
    'tableInsurance',
    0,
  )({
    insuranceCompany: {
      value: accountid,
    },
    insCost: { value: premiumSum },
  });
}
